package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.THealthapprovalMapper;
import com.ruoyi.project.ehs.domain.THealthapproval;
import com.ruoyi.project.ehs.service.ITHealthapprovalService;

import javax.annotation.Resource;

/**
 * 卫生批文清单Service业务层处理
 *
 * @author ruoyi
 * @date 2021-07-13
 */
@Service
public class THealthapprovalServiceImpl implements ITHealthapprovalService
{
    @Resource
    private THealthapprovalMapper tHealthapprovalMapper;

    /**
     * 查询卫生批文清单
     *
     * @param id 卫生批文清单ID
     * @return 卫生批文清单
     */
    @Override
    public THealthapproval selectTHealthapprovalById(Long id)
    {
        return tHealthapprovalMapper.selectTHealthapprovalById(id);
    }

    /**
     * 查询卫生批文清单列表
     *
     * @param tHealthapproval 卫生批文清单
     * @return 卫生批文清单
     */
    @Override
    public List<THealthapproval> selectTHealthapprovalList(THealthapproval tHealthapproval)
    {
        return tHealthapprovalMapper.selectTHealthapprovalList(tHealthapproval);
    }

    /**
     * 新增卫生批文清单
     *
     * @param tHealthapproval 卫生批文清单
     * @return 结果
     */
    @Override
    public int insertTHealthapproval(THealthapproval tHealthapproval)
    {
        return tHealthapprovalMapper.insertTHealthapproval(tHealthapproval);
    }

    /**
     * 修改卫生批文清单
     *
     * @param tHealthapproval 卫生批文清单
     * @return 结果
     */
    @Override
    public int updateTHealthapproval(THealthapproval tHealthapproval)
    {
        return tHealthapprovalMapper.updateTHealthapproval(tHealthapproval);
    }

    /**
     * 批量删除卫生批文清单
     *
     * @param ids 需要删除的卫生批文清单ID
     * @return 结果
     */
    @Override
    public int deleteTHealthapprovalByIds(Long[] ids)
    {
        return tHealthapprovalMapper.deleteTHealthapprovalByIds(ids);
    }

    /**
     * 删除卫生批文清单信息
     *
     * @param id 卫生批文清单ID
     * @return 结果
     */
    @Override
    public int deleteTHealthapprovalById(Long id)
    {
        return tHealthapprovalMapper.deleteTHealthapprovalById(id);
    }
}
